IRQ_FORCE_AFFINITY(9)

NAME
irq_force_affinity - Force the irq affinity of a given irq

SYNOPSIS

int irq_force_affinity(unsigned int irq, const struct cpumask * cpumask);

ARGUMENTS

irq
    Interrupt to set affinity

cpumask
    cpumask

DESCRIPTION

Same as irq_set_affinity, but without checking the mask against online cpus.

Solely for low level cpu hotplug code, where we need to make per cpu interrupts affine before the cpu becomes online.

AUTHORS

Thomas Gleixner <tglx@linutronix.de>
    Author.

Ingo Molnar <mingo@elte.hu>
    Author.

COPYRIGHT